Project

Profile

Help

HostedRedmine.com has moved to the Planio platform. All logins and passwords remained the same. All users will be able to login and use Redmine just as before. Read more...

Feature #910547

S2_6/S3_0 Qt: Deprecated QFontMetrics::width

Added by Marko Lindqvist 7 months ago. Updated 7 months ago.

Status:
Closed
Priority:
Normal
Category:
gui-qt
Sprint/Milestone:
Start date:
Due date:
% Done:

0%

Estimated time:

Description

Replace deprecated QFontMetrics::width() usage in S2_6/S3_0 Qt-client. The new code must work also with older Qt versions (down to oldest one we support; 5.2)


Related issues

Blocks Freeciv - Bug #896335: Qt deprecation warnings in S2_6/S3_0 when --enable-debug NOT usedClosed

<a title="Actions" class="icon-only icon-actions js-contextmenu" href="#">Actions</a>

History

#1 Updated by Marko Lindqvist 7 months ago

  • Blocks Bug #896335: Qt deprecation warnings in S2_6/S3_0 when --enable-debug NOT used added

#2 Updated by Marko Lindqvist 7 months ago

The only viable solution I could come up with was to depending on Qt version to use either width() or horizontalAdvance(), implemented so that horizontalAdvance() is a macro wrapping width() for Qt < 5.11.

This needs some testing with different Qt versions.

#3 Updated by Marko Lindqvist 7 months ago

  • Status changed from Resolved to Closed
  • Assignee set to Marko Lindqvist

Also available in: Atom PDF